Skip to main content

Create Applicant Event: Yardi

POSThttps://api.propexo.com/v1/events/applicants/yardi/
InterfaceMethod
ILS Guest CardImportYardiGuest_Login
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    unit_idstring

    The Propexo unique identifier for the unit. Only some PMS events use this, including "Show" and "Appointment"

    event_namestringrequired

    The name or type of event

    Show 20 enum values
    CallToProspectCallFromProspectOtherWalkInChatEmailWebserviceAppointmentShowApplicationSelfGuidedTourApplicationApproveCancelApplicationApplicationDeniedHoldCancelAppointmentLeaseSignReleaseReturnVisit
    event_datetimestring<date-time>required

    The date when the event will occur

    agent_namestringrequired

    The name of the leasing agent associated with the event

    notesstring

    Notes associated with the event

    Possible values: <= 256 characters

    rent_amount_in_centsnumber

    The rent amount in cents for the event. Required for LeaseSign event

    Possible values: >= 0

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit. Only some PMS events use this, including "Show" and "Appointment"

    event_namestringrequired

    The name or type of event

    Show 20 enum values
    CallToProspectCallFromProspectOtherWalkInChatEmailWebserviceAppointmentShowApplicationSelfGuidedTourApplicationApproveCancelApplicationApplicationDeniedHoldCancelAppointmentLeaseSignReleaseReturnVisit
    event_datetimestring<date-time>required

    The date when the event will occur

    agent_namestringrequired

    The name of the leasing agent associated with the event

    notesstring | nullnullablerequired

    Notes associated with the event

    Possible values: <= 256 characters

    rent_amount_in_centsnumber | nullnullablerequired

    The rent amount in cents for the event. Required for LeaseSign event

    Possible values: >= 0

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/applicants/yardi/
curl -X POST https://api.propexo.com/v1/events/applicants/yardi/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"applicant_id": "string",
"event_name": "CallToProspect",
"event_datetime": "2024-07-29T15:51:28.071Z",
"agent_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"applicant_id": "string",
"unit_id": "string",
"event_name": "CallToProspect",
"event_datetime": "2024-07-29T15:51:28.071Z",
"agent_name": "string",
"notes": "string",
"rent_amount_in_cents": 0
}
}